Supporto » Installazione e Aggiornamento » ERRORE AGGIORNAMENTO WP 4.9.8

  • Buongiorno a tutti

    ricevo giornalmente una mail che mi invita ad aggiornare a WP 4.9.8
    Quando tento di farlo, mi esce un errore che qui riporto:

    Aggiorna WordPress
    SSL attivato! Don’t forget to change your settings in Google Analytics and Webmaster tools. Più informazioni.

    Download dell’aggiornamento da https://downloads.wordpress.org/release/wordpress-4.9.8-no-content.zip…

    Estrazione dell’aggiornamento in corso…

    Impossibile copiare il file.: wordpress/wp-includes/class-wp-http-ixr-client.php

    L’installazione non è andata a buon fine

    Sapete aiutarmi?

    Saluti

Stai vedendo 6 repliche - dal 1 al 6 (di 6 totali)
  • Ciao @consorziodai,

    il tuo problema potrebbe avere diverse cause ma per il momento ti consiglierei di provare a disattivare tutti i plugin e ripetere l’operazione.

    Qualora non funzionasse, ti prego di continuare a chiedere supporto su questo topic: tienici aggiornati.

    Salve

    ho provato a disattivare tutti i plugin ed avviare l’aggiornamento.
    Niente da fare: stesso errore.

    cosa posso provare?

    Ciao @consorziodai,
    come si diceva, le cause possono essere diverse.
    A parte il warning sulle chiamate a Google analytics e Webmaster tools che dovrebbero essere https per andare bene, l’ errore vero è l’impossibilità di copiare il file. Direi.
    Difficile che dipenda da wp.
    Non sono così bravo da sapere se wp fa i suoi propri file di logs e dove sono, comunque se hai i permessi (o se il fornitore di hosting te li procura), prova a leggere i file di logs del server, in particolare quello degli errori del php.
    Leggere il file di log richiede “calma e gesso” perché è spesso grande e anche un tantino aggrovigliato, comunque se hai preso nota del momento in cui è avvenuto l’errore allora vai a leggere il segmento di file corrispondente.
    Lì troverai maggiori informazioni sul motivo per cui non riesce la copia e anche lo script e il numero di linea che l’ha provocato.
    Dopo di che, una volta trovato il busillis … bisogna ‘metterci una pezza’ a quello se è possibile.

    @consorziodai,

    concordo con @luca21: il problema sembrerebbe essere di scrittura (il sistema non riesce a copiare un file di cui ha bisogno).

    Aggiungerei solamente che potrebbe essere più semplice contattare il supporto del tuo servizio di hosting, che potrebbe magari lavorare per/con te alla risoluzione: qualora non fosse disponibile o avessero problemi a farlo, consulta i file di log e facci sapere se riesci a trovare indizi in quel modo.

    Ciao @consorziodai,
    la parte che dice Aggiorna WordPress
    SSL attivato! Don’t forget to change your settings in Google Analytics and Webmaster tools. Più informazioni.
    , sembrerebbe l’avviso che esce dopo l’installazione e attivazione del plugin Simple SSL, quindi non direttamente collegato all’aggiornamento del core.

    Non so dirti se aver attivato il protocollo https influisca con l’aggiornamento di WP. Personalmente non mi è mai capitato.

    Puoi sempre provare ad eseguire un aggiornamento manuale del core seguendo queste istruzioni https://codex.wordpress.org/Updating_WordPress (sezione Manual Update)

    @consorziodai, @luca21 e (Ciao) @glorialchemica 🙂

    non sono riuscito a capire perchè il sistema scarichi la versione “no-content”, che è normalmente riservata a situazioni particolari (generalmente servizio hosting che personalizza): @consorziodai, nel ricontattarci, ti pregherei di segnalare anche qual’è il tuo servizio hosting.

Stai vedendo 6 repliche - dal 1 al 6 (di 6 totali)
  • Devi essere collegato per rispondere a questo topic.